#3 More fixes of overlays commands

open
nobody
None
7
2002-06-13
2001-07-16
No

This extends my previous fix of the starred versions of
the commands \fromSlide, \untilSlide, and \onlySlide.

The patch does four things:
- it applies the same changes as the patch [ #425960 ]
Fix of overlays command
- it makes the unstarred versions more stable by fixing
the problem with interferring conditionals.
- it makes it possible to include for instance column
delimeters in the argument of the commands.
- it fixes a bug that disallowed slide titles where the
two first letters where the same

To install patch (under unix):
1) download the patch file (prosper.patch) to the
directory where you have the file prosper.cls
2) Install the patch with the command patch -i
prosper.patch

Discussion

  • Anonymous - 2001-07-16

    Patch file to be applied with `patch -i prosper.patch' in directory of prosper.cls

     
    Attachments
  • Anonymous - 2001-07-16
    • priority: 5 --> 7
     
  • Nobody/Anonymous

    Logged In: NO

    Hi,

    I use prosper a lot for my presentations (it is great!) and this patch is wonderfull to correct the overlays commands.

    I have two remarks:

    a) It seems to me that it remains some bug with the overlays (more on that as soon as I get the time to make some tests)

    b) The correction of the bug with "the slide titles where the two first letters where the same" introduces a '@', in the normal title place, on the main title slide and all the part slides.

    Thank you for all the work done on prosper its is great,

    cu,

    PiR

     
  • Anonymous - 2002-06-13

    Logged In: YES
    user_id=221886

    The bug with @ in title has been fixed.

    However, the bug fix should no longer be necessary. It is
    incorporated in the version available from the CVS
    repository.

     
  • Anonymous - 2002-06-13
    • status: open --> pending
     
  • Anonymous - 2002-06-13
    • status: pending --> open
     
  • Nobody/Anonymous

    Logged In: NO

    Sorry, I'm confused...
    1) I'm using prosper-1.00.4 (downloaded from the "Files"
    section). Is the patch necessary then?
    2) There are 2 files attached. Which one to use for
    patching?

     
  • Anonymous - 2002-07-09

    Logged In: YES
    user_id=221886

    This patch is applicable to prosper-1.00.4.

    Of the two files, the topmost should be used (the one where
    the description ends with ``the directory of prosper.cls'').
    It's a problem with Sourceforge that I cannot delete the
    other file).

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks